import React from "react";
import { App, Views } from "@react-fullstack/fullstack";
import SocketIO from "socket.io";
interface Props<ViewsInterface extends Views> {
    /**
     * The port the socket will run on.
     */
    port: number;
    /**
     * The server react app
     */
    children: () => JSX.Element;
    /**
     * Object containing view shared component
     */
    views: ViewsInterface;
    /**
     * share one app across all clients.
     */
    singleInstance?: boolean;
}
/**
 * "@react-fullstack/fullstack" socket server
 */
declare class Server<ViewsInterface extends Views> extends React.Component<Props<ViewsInterface>> {
    server?: SocketIO.Server;
    app: App;
    componentDidMount: () => void;
    componentWillUnmount: () => void;
    render: () => JSX.Element;
}
export { Server };
